package com.duben.microtribe.mvp.views;

import com.duben.microtribe.MintsApplication;

/**
 * 描述：BaseView
 * 作者：孟崔广
 * 时间：2017/10/10 17:51
 * 邮箱：mengcuiguang@cashbang.cn
 */
public interface BaseView {

    /**
     * get view context
     *
     * @return
     */
    MintsApplication getBaseApplication();

    /**
     * show loading message
     *
     * @param msg
     */
    void showLoading(String msg);

    /**
     * hide loading
     */
    void hideLoading();

    /**
     * show error exception net message
     */
    void showToast(String msg);


}
